Catalog - Get Table
Retrieves the specified table from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the table. |
|
schema
|
path | True |
string |
The name of the schema containing the table. |
|
table
|
path | True |
string |
The name of the table. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the specified table from the underlying database and schema combination |
Examples
Retrieves the specified table from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/schemas/dbo/tables/test_table_name?api-version=2016-11-01
Sample response
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"schemaName": "dbo",
"tableName": "test_table_name",
"columnList": [
{
"name": "test_column_name",
"type": "test_type"
}
],
"indexList": [
{
"name": "test_index_name",
"indexKeys": [
{
"name": "test_index_key",
"descending": false
}
],
"columns": [
"test_column"
],
"distributionInfo": {
"type": 1,
"keys": [
{
"name": "test_key",
"descending": false
}
],
"count": 1,
"dynamicCount": 1
},
"partitionFunction": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab346",
"partitionKeyList": [
"test_partition_key"
],
"streamNames": [
"test_stream_name"
],
"isColumnstore": false,
"indexId": 1,
"isUnique": false
}
],
"partitionKeyList": [
"test_partition_key"
],
"externalTable": {
"tableName": "test_table_name",
"dataSource": {
"name": {
"firstPart": "test_first_part",
"secondPart": "test_second_part",
"thirdPart": "test_third_part",
"server": "test_server"
},
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345"
}
},
"distributionInfo": {
"type": 1,
"keys": [
{
"name": "test_key",
"descending": false
}
],
"count": 1,
"dynamicCount": 1
}
}
Definitions
| Name | Description |
|---|---|
|
Ddl |
A Data Lake Analytics DDL name item. |
|
Entity |
A Data Lake Analytics catalog entity identifier object. |
|
External |
A Data Lake Analytics catalog external table item. |
|
USql |
A Data Lake Analytics catalog U-SQL directed column item. |
|
USql |
A Data Lake Analytics catalog U-SQL distribution information object. |
|
USql |
A Data Lake Analytics catalog U-SQL table index item. |
|
USql |
A Data Lake Analytics catalog U-SQL table item. |
|
USql |
A Data Lake Analytics catalog U-SQL table column item. |
DdlName
A Data Lake Analytics DDL name item.
| Name | Type | Description |
|---|---|---|
| firstPart |
string |
the name of the table associated with this database and schema. |
| secondPart |
string |
the name of the table associated with this database and schema. |
| server |
string |
the name of the table associated with this database and schema. |
| thirdPart |
string |
the name of the table associated with this database and schema. |
EntityId
A Data Lake Analytics catalog entity identifier object.
| Name | Type | Description |
|---|---|---|
| name |
the name of the external table associated with this database, schema and table. |
|
| version |
string (uuid) |
the version of the external data source. |
ExternalTable
A Data Lake Analytics catalog external table item.
| Name | Type | Description |
|---|---|---|
| dataSource |
the data source associated with this external table. |
|
| tableName |
string |
the name of the table associated with this database and schema. |
USqlDirectedColumn
A Data Lake Analytics catalog U-SQL directed column item.
| Name | Type | Description |
|---|---|---|
| descending |
boolean |
the switch indicating if the index is descending or not. |
| name |
string |
the name of the index in the table. |
USqlDistributionInfo
A Data Lake Analytics catalog U-SQL distribution information object.
| Name | Type | Description |
|---|---|---|
| count |
integer (int32) |
the count of indices using this distribution. |
| dynamicCount |
integer (int32) |
the dynamic count of indices using this distribution. |
| keys |
the list of directed columns in the distribution |
|
| type |
integer (int32) |
the type of this distribution. |
USqlIndex
A Data Lake Analytics catalog U-SQL table index item.
| Name | Type | Description |
|---|---|---|
| columns |
string[] |
the list of columns in the index |
| distributionInfo |
the distributions info of the index |
|
| indexId |
integer (int32) |
the ID of this index within the table. |
| indexKeys |
the list of directed columns in the index |
|
| isColumnstore |
boolean |
the switch indicating if this index is a columnstore index. |
| isUnique |
boolean |
the switch indicating if this index is a unique index. |
| name |
string |
the name of the index in the table. |
| partitionFunction |
string (uuid) |
partition function ID for the index. |
| partitionKeyList |
string[] |
the list of partition keys in the index |
| streamNames |
string[] |
the list of full paths to the streams that contain this index in the DataLake account. |
USqlTable
A Data Lake Analytics catalog U-SQL table item.
| Name | Type | Description |
|---|---|---|
| columnList |
the list of columns in this table |
|
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| databaseName |
string |
the name of the database. |
| distributionInfo |
the distributions info of the table |
|
| externalTable |
the external table associated with the table. |
|
| indexList |
the list of indices in this table |
|
| partitionKeyList |
string[] |
the list of partition keys in the table |
| schemaName |
string |
the name of the schema associated with this table and database. |
| tableName |
string |
the name of the table. |
| version |
string (uuid) |
the version of the catalog item. |
USqlTableColumn
A Data Lake Analytics catalog U-SQL table column item.
| Name | Type | Description |
|---|---|---|
| name |
string |
the name of the column in the table. |
| type |
string |
the object type of the specified column (such as System.String). |